> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset

> API to reset user preference settings to default preference.



## OpenAPI

````yaml PATCH /v1/bulk/user/preference/reset/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/bulk/user/preference/reset/:
    patch:
      summary: Reset
      description: API to reset user preference settings to default preference.
      operationId: reset-user-preferences
      parameters:
        - name: tenant_id
          in: query
          description: to fetch user preferences for a particular tenant
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - distinct_ids
              properties:
                distinct_ids:
                  type: array
                  description: distinct_id of users whose preference needs to be reset
                  default:
                    - id1
                    - id2
                  items:
                    type: string
                reset_channel_preferences:
                  type: boolean
                  description: >-
                    setting this to true will set all channel preference to
                    default setting.
                  default: true
                reset_categories:
                  type: boolean
                  description: >-
                    setting this to true will set all category preferences to
                    default tenant preference.
                  default: true
      responses:
        '202':
          description: '202'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: true
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    code: 404
                    message: tenant '_tenant_id_' not found
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 404
                  message:
                    type: string
                    example: tenant '_tenant_id_' not found
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.

````